: Interface ContainerInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Interface ContainerInterface

All Known Implementing Classes:
  AbstractContainer, SampleResourceIndexer

public interface ContainerInterface

Method Summary
`void` | `delete(java.lang.String name)` Remove a child resource from that container.
`java.util.Enumeration` | `enumerateResourceIdentifiers(boolean all)` Enumerate children resource identifiers.
`ResourceReference` | `lookup(java.lang.String name)` Lookup a children in the container.
`void` | `registerResource(java.lang.String name, Resource resource, java.util.Hashtable defs)` Initialize and register the given resource within that container.

Method Detail

### enumerateResourceIdentifiers

    public java.util.Enumeration enumerateResourceIdentifiers(boolean all)

  Enumerate children resource identifiers.
  Parameters:
    `all` - Should all resources be enumerated ? Resources are often created on demand only, this flag allows the caller to tell the container about wether it is interested only in already created resources, or in all resources (even the one that have not yet been created).
  Returns:
    An String enumeration, one element per child.

### lookup

    public ResourceReference lookup(java.lang.String name)

  Lookup a children in the container.
  Parameters:
    `name` - The name of the children to lookup. the resource from its store.

### delete

    public void delete(java.lang.String name)
                throws MultipleLockException

  Remove a child resource from that container.
  Parameters:
    `name` - The name of the child to remove.
  Throws:
    MultipleLockException - If somone else has locked the resource.

### registerResource

    public void registerResource(java.lang.String name,
                                 Resource resource,
                                 java.util.Hashtable defs)
                          throws InvalidResourceException

  Initialize and register the given resource within that container.
  Parameters:
    `name` - The identifier for the resource.
    `resource` - An unitialized resource instance.
    `defs` - A default set of init attribute values (may be null).
  Throws:
    InvalidResourceException - If an error occurs during the registration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD